player = {}

player.x = 800
player.y = 500
player.speed = 5
player.xvel = 0
player.yvel = 0
player.friction = 2
player.maxspeed = 10

local sprite = {}
	sprite[1]= love.graphics.newImage("images/red.png")
	sprite[2]= love.graphics.newImage("images/blue.png")
	sprite[3]= love.graphics.newImage("images/green.png")

colorchoice = 1
	local colorchange = love.audio.newSource("data/colorchange.ogg","static")
function player:update(dt)
	local mousex,mousey = cam:mousepos() --Allows the mouse to be read inside the camera rather than the full screen
	self.rotation = math.atan2(mousey - self.y, mousex - self.x)
	particlerotation = math.atan2(player.y - mousey, player.x - mousex) --the opposite of player.rotation
	--This speed system allows for the gradual speeding up and slowing down of the player.
	self.x = self.x + self.xvel
	self.y = self.y + self.yvel
	
	self.xvel = self.xvel * (1 - math.min(dt*self.friction, .5))
	self.yvel = self.yvel * (1 - math.min(dt*self.friction, .5))
	
	if love.keyboard.isDown("a") and self.xvel < self.maxspeed then
		self.xvel = self.xvel - self.speed*dt
	end
	if love.keyboard.isDown("d") and self.xvel < self.maxspeed then
		self.xvel = self.xvel + self.speed*dt
	end
	if love.keyboard.isDown("w") and self.yvel < self.maxspeed then
		self.yvel = self.yvel - self.speed*dt
	end
	if love.keyboard.isDown("s") and self.yvel < self.maxspeed then
		self.yvel = self.yvel + self.speed*dt
	end
	
	--Keeps the player contained.
	if self.x < 10 then
		self.x = 10
		self.xvel = 0
	end
	if self.x > 4780 then
		self.x = 4780
		self.xvel = 0
	end
	if self.y< 10 then
		self.y = 10
		self.yvel = 0
	end
	if self.y > 2380 then
		self.y = 2380
		self.yvel = 0
	end
	

end

function player:draw()
	love.graphics.draw(sprite[colorchoice], self.x, self.y, self.rotation,1,1,sprite[colorchoice]:getWidth()/2, sprite[colorchoice]:getHeight()/2)
end

